package com.chinaweal.aiccs.org.entity.dto;

import com.chinaweal.aiccs.common.base.entity.TreeNode;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * @author <a href="https://blog.lroyia.top">lroyia</a>
 * @since 2021/1/19 10:19
 **/
@Getter
@Setter
public class OrgTreeNode extends TreeNode {

    /**
     * 股东认缴额
     */
    private String amount;

    /**
     * 股东实缴额
     */
    private String total;

    /**
     * 机构类型
     */
    private String status;

    /**
     * 机构等级
     */
    private Integer level;

    public OrgTreeNode(String name, String value) {
        super(name, value);
    }

    public OrgTreeNode(String pId, String name, String value) {
        super(pId, name, value);
    }

    public OrgTreeNode(String pId, String name, String value, String remark) {
        super(pId, name, value, remark);
    }

    public OrgTreeNode(String pId, String name, String value, String status, Integer level) {
        super(pId, name, value);
        this.status = status;
        this.level = level;
    }
}
